/* clip.c and clip.h */
/* A separate compilation unit for the clipping functions */
/* In clip.h: declare public things (i.e., the functions) */
/* In clip.c: make the actual definitions */

#include<intuition/intuition.h>

/* Set a clip region on a specified part of window */
int setClipSized(struct Window*, struct Rectangle*);

/* Set a clip region on internal part of window */
int setClipInternal(struct Window*);

/* Remove the clip region from a window */
void removeClip(struct Window*);